<?php
class Test6 extends CI_Controller {

    // constructeur
    function __construct()
    {
        // super()
        parent::__construct();

        // inclure des fonctions comme redirect()
        $this->load->helper('url');

        // inclure des fonctions pour aider à gérer les formulaires
        $this->load->helper('form');
        $this->load->library('form_validation');

        // charger le modèle
        $this->load->model('produits', '', TRUE);
    }

    public function index()
    {
        // obtenir la liste de tous les produits
        $data['liste'] = $this->produits->get_all();

        // instancier la vue
        $this->load->view('haut');
        $this->load->view('test6a', $data);
        $this->load->view('bas');
    }
}
